
#include "_TDL_Dnode.H"

/*virtual*/
_TDL_Dnode::~_TDL_Dnode()
{
  setNextNode     ( (_TDL_Dnode *) NULL );
  setPreviousNode ( (_TDL_Dnode *) NULL );
}


	/* These operations are disabled (prohibited) & unimplemented */
/*private*/
_TDL_Dnode::_TDL_Dnode ( const _TDL_Dnode & theObjectToCopy )
    : previousNode ( (_TDL_Dnode *) NULL ),
      nextNode     ( (_TDL_Dnode *) NULL )
{
  _TDL_MARKUSED ( theObjectToCopy );
  TDL::getLogStream()
    << "_TDL_Dnode copy constructor bug." << endl;
}

/*private*/ _TDL_Dnode &
_TDL_Dnode::operator = ( const _TDL_Dnode & theObjectToCopy )
{
  _TDL_MARKUSED ( theObjectToCopy );
  TDL::getLogStream()
    << "_TDL_Dnode operator = bug." << endl;
  return *this;
}

