
#ifndef _TDL_Exceptions_H
#define _TDL_Exceptions_H

#define _TDL_INTERNAL_
#include "tdl.H"

class _TDL_BaseException : public _TDL_BaseException_TCMInterfaceBaseClass
{
public:
  _TDL_BaseException() {}
  virtual ~_TDL_BaseException();

  static  const char * getStaticExceptionName();
  virtual const char * getExceptionName() const;
  static  BOOLEAN      exceptionMatches ( const char * theString );
};


inline _TDL_BaseException *
_TDL_CreateException__TDL_BaseException()
{
  return new _TDL_BaseException();
}



class _TDL_BaseHandler : public _TDL_BaseHandler_TCMInterfaceBaseClass
{
public:
  _TDL_BaseHandler() {}
  virtual ~_TDL_BaseHandler();

/* Inherited methods:
 *  virtual void execute ( TCM_Task_Tree_Ref const & _TDL_ENCLOSING_TASK ) = 0;
 *  virtual const char * _TDL_getHandledExceptionName() const = 0;
 *  virtual unsigned int _TDL_getMaximumActivates()     const = 0;
 */
};

#endif /* _TDL_Exceptions_H */

