
	/* Internal Data-class (struct) for DataComponent */
public class DataComponentObservableData extends Object
{
  protected DataComponentObserver   observer;
  protected Object                  data;

  public DataComponentObservableData ( DataComponentObserver theObserver,
				       Object                theData     )
  {
    observer = theObserver;
    data     = theData;
  }

  public DataComponentObserver getObserver ( )  { return observer; }
  public Object                getData     ( )  { return data;     }

  public void setData ( Object theData )  { data = theData; }

  public boolean performUpdate ( DataComponent  theObservedComponent,
				 DataComponent  theModifiedComponent )
  {
    return getObserver() . update ( theObservedComponent,
				    theModifiedComponent,
				    getData() );
  }
}

